%global __provides_exclude ^(perl\\(Net::SSLeay\\)$|SSLeay\\.so)

Summary:        Perl bindings for OpenSSL and LibreSSL
Name:           perl-Net-SSLeay
Version:        1.92
Release:        8%{?dist}
License:        Artistic 2.0
URL:            https://metacpan.org/release/Net-SSLeay
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-SSLeay-%{version}.tar.gz

Patch3000:      Net-SSLeay-1.90-openssl3.0.0-tests-disable_TLS1_and_TLS1_1.patch
Patch5000:      Net-SSLeay-1.90-pkgconfig.patch
Patch5001:      Net-SSLeay-1.92-disable-SHA1-signature.patch

BuildRequires:  coreutils findutils gcc make openssl openssl-devel
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(constant) perl(English) perl(Symbol) perl(Text::Wrap) perl(utf8) perl(AutoLoader)
BuildRequires:  perl(File::Basename) perl(File::Spec::Functions) perl(File::Spec)
BuildRequires:  perl(Carp) perl(Errno) perl(Exporter) perl(MIME::Base64) perl(Socket) perl(vars) perl(XSLoader)
BuildRequires:  perl(base) perl(Config) perl(Cwd) perl(FindBin) perl(HTTP::Tiny) perl(lib) perl(strict)
BuildRequires:  perl(IO::Handle) perl(IO::Socket::INET) perl(Scalar::Util) perl(SelectSaver) perl(Storable)
BuildRequires:  perl(ExtUtils::PkgConfig) perl(ExtUtils::MM) perl(Test::Builder) perl(threads) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::More) >= 0.61
Requires:       perl(MIME::Base64) perl(XSLoader)

%description
This module provides Perl bindings for libssl (an SSL/TLS API) and
libcrypto (a cryptography API).

%prep
%autosetup -n Net-SSLeay-%{version} -p1
chmod -c 644 examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/Net/ptrtstrun.pl

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING.md Credits QuickRef README examples/
%{perl_vendorarch}/auto/Net/
%dir %{perl_vendorarch}/Net/
%{perl_vendorarch}/Net/SSLeay/
%{perl_vendorarch}/Net/SSLeay.pm
%doc %{perl_vendorarch}/Net/SSLeay.pod
%{_mandir}/man3/Net::SSLeay.3*
%{_mandir}/man3/Net::SSLeay::Handle.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.92-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.92-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.92-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.92-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.92-4
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 Miaojun Dong <zoedong@tencent.com> - 1.92-3
- Disable SHA1 signature related test

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.92-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 ZoeDong <zoedong@tencent.com> - 1.92-1
- Initial build

